Subject: [Gen-art] Last Call review of draft-ietf-sfc-architecture-08

From: Tom Taylor <[email-masked]>
Date: Thu, 21 May 2015 20:53:43 -0400

I am the assigned Gen-ART reviewer for this draft. For background on
Gen-ART, please see the FAQ at

<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please resolve these comments along with any other Last Call comments
you may receive.

Document: draft-ietf-sfc-architecture-08
Reviewer: Tom Taylor
Review Date:        2015-05-17
IETF LC End Date:   2015-05-25
IESG Telechat date: 2015-05-28

Summary:

There is one IPR declaration, which was repeated for two predecessor 
documents but not for the current draft. The draft is basically ready to 
go with a very minor issue and a few nits.

Major issues:

Minor issues:

The Security Considerations section rightly mentions the need to avoid 
leaking SFC information. However, it does this under the heading of 
"Classification". Could I suggest that the first two sentences of the 
"Classification" bullet be separated out under the title "Boundaries"?

Nits/editorial comments:

Sec. 1.2, third bullet from the bottom: spell out SFF on first use, and 
give a forward reference to the next section, i.e.,
    "...interconnect the Service Function Forwarders (SFFs, see next
     section) ..."

Sec. 1.2, next bullet: according to the RFC Editor Style Guide 
abbreviations list, FIB and RIB are not well-known abbreviations, hence 
need to be spelled out.

Sec. 1.3, Service Function Forwarder, last line: spell out SFP? I know 
the definition is just a few lines down, so this is a maybe.

Alternative suggestion: introduce a Section 1.3.1 at the beginning of 
the section, as follows:

"1.3.1 Key Abbreviations

    The terms listed here are defined in Section 1.3.2.

    SF	Service Function
    SFC	Service Function Chain or Service Function Chaining
    SFF	Service Function Forwarder
    SFP	Service Function Path
    RSP	Rendered Service Path"

Sec. 2.1, second para., third line from bottom: s/the the/the/

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Fri, 22 May 2015 03:50:18 +0000

Tom,

All great comments — thank you.

All incorporated into our working copy (diffs attached here FYI) — we can submit when Jim/Alia signal.

Thanks,

— Carlos.

> On May 21, 2015, at 8:53 PM, Tom Taylor <[email-masked]> wrote:
> 
> There is one IPR declaration, which was repeated for two predecessor documents but not for the current draft. The draft is basically ready to go with a very minor issue and a few nits.
> 
> Major issues:
> 
> Minor issues:
> 
> The Security Considerations section rightly mentions the need to avoid leaking SFC information. However, it does this under the heading of "Classification". Could I suggest that the first two sentences of the "Classification" bullet be separated out under the title "Boundaries"?
> 
> Nits/editorial comments:
> 
> Sec. 1.2, third bullet from the bottom: spell out SFF on first use, and give a forward reference to the next section, i.e.,
> Sec. 1.2, next bullet: according to the RFC Editor Style Guide abbreviations list, FIB and RIB are not well-known abbreviations, hence need to be spelled out.
> 
> Sec. 1.3, Service Function Forwarder, last line: spell out SFP? I know the definition is just a few lines down, so this is a maybe.
> 
> Alternative suggestion: introduce a Section 1.3.1 at the beginning of the section, as follows:
> 
> "1.3.1 Key Abbreviations
>

---

From: "Jim Guichard (jguichar)" <[email-masked]>
Date: Fri, 22 May 2015 13:57:03 +0000

Looks good except in section 6 there are couple typos:

"BUilding from the categorization of [RFC7498], we can largely divide
security consdierations in four areas:²

1. Change BUilding to Building.
2. Change consdierations to considerations.

Jim

On 5/21/15, 11:50 PM, "Carlos Pignataro (cpignata)" <[email-masked]>
wrote:

>Tom,
>
>All great comments ‹ thank you.
>
>All incorporated into our working copy (diffs attached here FYI) ‹ we can
>submit when Jim/Alia signal.
>
>Thanks,
>
>‹ Carlos.
>
>
>
>

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Fri, 22 May 2015 14:05:58 +0000

Thanks Jim! Updated in the working copy.

— Carlos.

> On May 22, 2015, at 9:57 AM, Jim Guichard (jguichar) <[email-masked]> wrote:
>

---

From: Jari Arkko <[email-masked]>
Date: Thu, 28 May 2015 15:51:38 +0300

Thanks for your review, Tom

Jari

On 22 May 2015, at 03:53, Tom Taylor <[email-masked]> wrote:

> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art